list
natsort
Array Functions
PHP Manual

# natcasesort

(PHP 4, PHP 5, PHP 7)

natcasesort — Sort an array using a case insensitive "natural order" algorithm

### Description

bool natcasesort ( array `&$array` )

natcasesort() is a case insensitive version of natsort().

This function implements a sort algorithm that orders alphanumeric strings in the way a human being would while maintaining key/value associations. This is described as a "natural ordering".

### Parameters

`array`

  The input array.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 natcasesort() example

`<?php
$array1 = $array2 = array('IMG0.png', 'img12.png', 'img10.png', 'img2.png', 'img1.png', 'IMG3.png');
sort($array1);
echo "Standard sorting\n";
print_r($array1);
natcasesort($array2);
echo "\nNatural order sorting (case-insensitive)\n";
print_r($array2);
?>`

The above example will output:

    Standard sorting
    Array
    (
        [0] => IMG0.png
        [1] => IMG3.png
        [2] => img1.png
        [3] => img10.png
        [4] => img12.png
        [5] => img2.png
    )

    Natural order sorting (case-insensitive)
    Array
    (
        [0] => IMG0.png
        [4] => img1.png
        [3] => img2.png
        [5] => IMG3.png
        [2] => img10.png
        [1] => img12.png
    )

For more information see: Martin Pool's » Natural Order String Comparison page.

### See Also

- natsort() - Sort an array using a "natural order" algorithm
- The comparison of array sorting functions
- strnatcmp() - String comparisons using a "natural order" algorithm
- strnatcasecmp() - Case insensitive string comparisons using a "natural order" algorithm

list
natsort
Array Functions
PHP Manual